<?php
class Creative_Gift_Block_Adminhtml_Points_Edit extends Mage_Adminhtml_Block_Widget_Form_Container
{
    /**
     * Init class
     */
    public function __construct()
    {  
        $this->_blockGroup = 'creative_gift';
        $this->_controller = 'adminhtml_points';
     
        parent::__construct();
     
        $this->_updateButton('save', 'label', $this->__('Save Gift Points'));
        $this->_updateButton('delete', 'label', $this->__('Delete Gift Points'));
    }  
     
    /**
     * Get Header text
     *
     * @return string
     */
    public function getHeaderText()
    {  
        if (Mage::registry('creative_gift')->getId()) {
            return $this->__('Edit Gift Points');
        }  
        else {
            return $this->__('New Gift Points');
        }  
    }  
}