<?php
class Creative_Gift_Block_Adminhtml_Points_Edit_Form extends Mage_Adminhtml_Block_Widget_Form
{
    /**
     * Init class
     */
    public function __construct()
    {  
        parent::__construct();
     
        $this->setId('creative_gift_points_form');
        $this->setTitle($this->__('Gift Points Information'));
    }  
     
    /**
     * Setup form fields for inserts/updates
     *
     * return Mage_Adminhtml_Block_Widget_Form
     */
        protected function _prepareForm() {
        $model = Mage::registry('creative_gift');
        $categories = Mage::getModel('catalog/category')->getCategories(2);
        $options = array();
        $cat_count=1;
            foreach ($categories as $category)
            {  if($category->getIsActive())
                {             
                  $options[$cat_count] = array('label'=>$category->getName(),'value'=>$category->getId());              
                  $cat_count++;           
                }
            }
          $_websites = Mage::app()->getWebsites();
         $web_sites=1;
            Foreach($_websites as $website){
                             
                  $option[$web_sites] = array('label'=>$website->getName(),'value'=>$website->getId());              
                  $web_sites++;           
               
            }  
       $form = new Varien_Data_Form(array(
                    'id' => 'edit_form',
                    'action' => $this->getUrl('*/*/save', array('id' => $this->getRequest()->getParam('id'))),
                    'method' => 'post',
                    'enctype' => 'multipart/form-data'
                ));

        $fieldset = $form->addFieldset('base_fieldset', array(
            'legend' => Mage::helper('checkout')->__('Diag Information'),
            'class' => 'fieldset-wide',
                ));

        if ($model->getId()) {
            $fieldset->addField('id', 'hidden', array(
                'name' => 'id',
            ));
        }

        $fieldset->addField('currency', 'text', array(
            'name' => 'currency',
            'label' => Mage::helper('checkout')->__('Currency Value'),
            'title' => Mage::helper('checkout')->__('Currency Value'),
            'required' => true,
        ));
        
        /*$fieldset->addField('website_name', 'text', array(
            'name' => 'website_name',
            'label' => Mage::helper('checkout')->__('website Name'),
            'title' => Mage::helper('checkout')->__('website Name'),
            'disabled' => false,
            /*'readonly' => true,
            'required' => true,
        ));*/
$fieldset->addField('website_id', 'select', array(
            'name' => 'website_id',
            'label' => Mage::helper('checkout')->__('website Id'),
            'title' => Mage::helper('checkout')->__('website Id'),
            'disabled' => false,
            /*'readonly' => true,*/
            'required' => true,
            'values'=>$option,
        ));


        $fieldset->addField('status', 'select', array(
            'label' => Mage::helper('checkout')->__('Status'),
            'name' => 'status',
            'required' => true,
            'values' => array(
                array(
                    'value' => 'enabled',
                    'label' => Mage::helper('checkout')->__('enabled'),
                ),
                array(
                    'value' => 'disabled',
                    'label' => Mage::helper('checkout')->__('disabled'),
                ),
            ),
        ));
        
        
     $fieldset->addField('category_ids', 'multiselect', array(
          'label'     => Mage::helper('checkout')->__('Select categories'),
          'class'     => 'required-entry',
          'name'      => 'category_ids',
          'values'    =>  $options,
         ));   
         
        $form->setValues($model->getData());
        $form->setUseContainer(true);
        $this->setForm($form);

        return parent::_prepareForm();
    }
    
}